<template>
    <div class="rounded-md bg-xmas-dark-red p-4 mt-8">
        <div class="flex">
            <div class="flex-shrink-0">
                <CheckCircleIcon class="h-5 w-5 text-white" aria-hidden="true" />
            </div>
            <div class="ml-3">
                <h3 class="text-sm font-medium text-white">
                    Хей, {{ $store.state.auth.authUser.name }} !
                </h3>
                <div class="mt-2 text-sm text-white">
                    <p>
                        Наслади се на приближаващите празници и започвай да си набелязваш подаръци, защото започвайки от {{ this.date }} в 00:00 ще можеш да потвърдиш участието си тук!
                    </p>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import { CheckCircleIcon } from '@heroicons/vue/solid'

export default {
    components: {
      CheckCircleIcon
    },
    data() {
        return {
            remainingDays: null,
            date         : null,
        }
    },
    created() {        
        this.$store.dispatch('main/startLoading')
        this.loadData();
        this.$store.dispatch('main/stopLoading')
    },
    methods: {        
        async loadData() {
            let response = await axios.get('/api/confirm_date');
            this.date = response.data.date;
            this.remainingDays = response.data.remainingDays;
        },
    }
}
</script>